### Hierarchy

- IOptions

## Index

### Properties

- ajax
- api
- editorActive
- editorRoot
- enableEdit
- expert
- meta
- navBarCollapsable
- navBarCollapsed
- navBarDraggable
- navBarRoot
- overlayRoot
- piecesOptions
- piecesRoot
- state

## Properties

### ajax

ajax: Partial<RequestInit>

Default ajax options

### api

api: IPiecesAPI

API to work with piece items

### Optional editorActive

editorActive: undefined | false | true

Start with editors active

### editorRoot

editorRoot: HTMLElement

Optional. Default: document. Sets where to append piece editors

### enableEdit

enableEdit: boolean

Optional. Default: false, If set enables everything editors for pieces after loading

### Optional expert

expert: undefined | false | true

Start in expect mode

### Optional meta

meta: Partial<IMeta>

Optional meta data that will be attached to pieces during saving to track who and when modified piece

### navBarCollapsable

navBarCollapsable: boolean

Can navbar be collapsed

### Optional navBarCollapsed

navBarCollapsed: undefined | false | true

Starting collapsed state of navbar

### navBarDraggable

navBarDraggable: boolean

Optional. Default: true, If set `true` enables dragging of the WriteAway panel

### navBarRoot

navBarRoot: HTMLElement

Optional. Default: document.body, Set place for the WriteAway bar

### Optional overlayRoot

overlayRoot: HTMLElement

Optional. Default: document.body, Set place for the showing hover overlay

### piecesOptions

piecesOptions: IPiecesOptions

Piece options

### piecesRoot

piecesRoot: HTMLElement

Optional. Default: document. Sets where to search for pieces in stand-alone mode

### Optional state

state: Partial<IWriteAwayState>

Initial state

Generated using TypeDoc